using System.ComponentModel.DataAnnotations;

namespace Journal.Core.Dtos;

public record ListDocumentDto(
    Guid Id,
    string Label,
    string Content,
    DateTimeOffset CreatedAt,
    DateTimeOffset UpdatedAt
);

public record CreateListDto(
    [property: Required(AllowEmptyStrings = false)] string Label,
    string? Content = null
);

public record UpdateListDto(
    string? Label = null,
    string? Content = null
);
